---
updatedAt: 2026-09-28T15:38:31.000Z
agentTools:
  projectIndex: https://securityscorecard.readme.io/llms.txt
---

# Associates the given tag ids to the given companies

Associates the given tag ids to the given companies

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "info": {
    "title": "All Companies & VSOR Customer API - OpenAPI 2.0",
    "description": "API Definition for All Companies & VSOR Customer Facing API",
    "version": "1.0.0"
  },
  "security": [
    {
      "Token": []
    }
  ],
  "tags": [
    {
      "name": "scorecard-tags",
      "description": "Operations about scorecard tags"
    }
  ],
  "paths": {
    "/scorecard-tags/all-companies/bulk-create": {
      "post": {
        "tags": [
          "scorecard-tags"
        ],
        "summary": "Associates the given tag ids to the given companies",
        "description": "Associates the given tag ids to the given companies",
        "operationId": "executeCustomTagsFollowedCompaniesBulkCreateOperation",
        "requestBody": {
          "$ref": "#/components/requestBodies/executeCustomTagsFollowedCompaniesBulkCreateOperationPayload"
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "count": {
                      "type": "integer",
                      "description": "Count of custom tags affected."
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.securityscorecard.io"
    }
  ],
  "components": {
    "requestBodies": {
      "executeCustomTagsFollowedCompaniesBulkCreateOperationPayload": {
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "domains": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "description": "Domain of the followed company",
                    "example": "example.com"
                  }
                },
                "tag_ids": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "format": "uuid"
                  }
                }
              }
            }
          }
        },
        "description": "List of domains of followed companies and list of tag ids"
      }
    },
    "securitySchemes": {
      "Token": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "SecurityScorecard API endpoints require an authentication token to be passed\\nin an authorization header in order to return data. If you do not already\\nhave a token, you can create one by going to the API Access area in your\\n[Settings page](https://platform.securityscorecard.io/#/settings/api) and then\\nclicking Generate New Token. Please note this tokens have no expiration\\nso they can be used until manually revoked. If you have a token and generate\\na new one, the previous token will be revoked and can no longer be used.\\n\\nAdministrators can also revoke API tokens for any user in their account.\\n\\nOnce you have your token you can pass it in using the `Authorization` http header like this:\\n\\n```\\ncurl -X GET \\\\\\n  https://api.securityscorecard.io/portfolios \\\\\\n  -H 'authorization: Token \\u003Cyour token\\u003E'\\n```"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
````